# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLTableElement Class Reference

The create* and delete* methods on the table allow authors to construct and modify tables. More...

`#include <html_table.h>`

Inheritance diagram for DOM::HTMLTableElement:

[legend]
Collaboration diagram for DOM::HTMLTableElement:

[legend]
List of all members.

## Public Member Functions

| HTMLTableElement (const HTMLTableElement &other)
| HTMLTableElement (const Node &other)
HTMLTableElement & | operator= (const HTMLTableElement &other)
HTMLTableElement & | operator= (const Node &other)
HTMLTableCaptionElement | caption () const
void | setCaption (const HTMLTableCaptionElement &)
HTMLTableSectionElement | tHead () const
void | setTHead (const HTMLTableSectionElement &)
HTMLTableSectionElement | tFoot () const
void | setTFoot (const HTMLTableSectionElement &)
HTMLCollection | rows () const
HTMLCollection | tBodies () const
DOMString | align () const
void | setAlign (const DOMString &)
DOMString | bgColor () const
void | setBgColor (const DOMString &)
DOMString | border () const
void | setBorder (const DOMString &)
DOMString | cellPadding () const
void | setCellPadding (const DOMString &)
DOMString | cellSpacing () const
void | setCellSpacing (const DOMString &)
DOMString | frame () const
void | setFrame (const DOMString &)
DOMString | rules () const
void | setRules (const DOMString &)
DOMString | summary () const
void | setSummary (const DOMString &)
DOMString | width () const
void | setWidth (const DOMString &)
HTMLElement | createTHead ()
void | deleteTHead ()
HTMLElement | createTFoot ()
void | deleteTFoot ()
HTMLElement | createCaption ()
void | deleteCaption ()
HTMLElement | insertRow (long index)
void | deleteRow (long index)

## Protected Member Functions

| HTMLTableElement (HTMLTableElementImpl *impl)

## Detailed Description

The create* and delete* methods on the table allow authors to construct and modify tables.

HTML 4.0 specifies that only one of each of the `CAPTION` , `THEAD` , and `TFOOT` elements may exist in a table. Therefore, if one exists, and the createTHead() or createTFoot() method is called, the method returns the existing THead or TFoot element. See the TABLE element definition in HTML 4.0.

Definition at line 441 of file html_table.h.

## Member Function Documentation

HTMLTableCaptionElement HTMLTableElement::caption | ( |  | ) | const

| Returns the table's `CAPTION` , or void if none exists. Definition at line 418 of file html_table.cpp.

void HTMLTableElement::setCaption | ( | const HTMLTableCaptionElement & |  | ) |

| see caption Definition at line 424 of file html_table.cpp.

HTMLTableSectionElement HTMLTableElement::tHead | ( |  | ) | const

| Returns the table's `THEAD` , or `null` if none exists. Definition at line 431 of file html_table.cpp.

void HTMLTableElement::setTHead | ( | const HTMLTableSectionElement & |  | ) |

| see tHead Definition at line 437 of file html_table.cpp.

HTMLTableSectionElement HTMLTableElement::tFoot | ( |  | ) | const

| Returns the table's `TFOOT` , or `null` if none exists. Definition at line 445 of file html_table.cpp.

void HTMLTableElement::setTFoot | ( | const HTMLTableSectionElement & |  | ) |

| see tFoot Definition at line 451 of file html_table.cpp.

HTMLCollection HTMLTableElement::rows | ( |  | ) | const

| Returns a collection of all the rows in the table, including all in `THEAD` , `TFOOT` , all `TBODY` elements. Definition at line 459 of file html_table.cpp.

HTMLCollection HTMLTableElement::tBodies | ( |  | ) | const

| Returns a collection of the table bodies (including implicit ones). Definition at line 465 of file html_table.cpp.

DOMString HTMLTableElement::align | ( |  | ) | const

| Specifies the table's position with respect to the rest of the document. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 471 of file html_table.cpp.

void HTMLTableElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 477 of file html_table.cpp.

DOMString HTMLTableElement::bgColor | ( |  | ) | const

| Cell background color. See the bgcolor attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 482 of file html_table.cpp.

void HTMLTableElement::setBgColor | ( | const DOMString & |  | ) |

| see bgColor Definition at line 488 of file html_table.cpp.

DOMString HTMLTableElement::border | ( |  | ) | const

| The width of the border around the table. See the border attribute definition in HTML 4.0. Definition at line 493 of file html_table.cpp.

void HTMLTableElement::setBorder | ( | const DOMString & |  | ) |

| see border Definition at line 499 of file html_table.cpp.

DOMString HTMLTableElement::cellPadding | ( |  | ) | const

| Specifies the horizontal and vertical space between cell content and cell borders. See the cellpadding attribute definition in HTML 4.0. Definition at line 504 of file html_table.cpp.

void HTMLTableElement::setCellPadding | ( | const DOMString & |  | ) |

| see cellPadding Definition at line 510 of file html_table.cpp.

DOMString HTMLTableElement::cellSpacing | ( |  | ) | const

| Specifies the horizontal and vertical separation between cells. See the cellspacing attribute definition in HTML 4.0. Definition at line 515 of file html_table.cpp.

void HTMLTableElement::setCellSpacing | ( | const DOMString & |  | ) |

| see cellSpacing Definition at line 521 of file html_table.cpp.

DOMString HTMLTableElement::frame | ( |  | ) | const

| Specifies which external table borders to render. See the frame attribute definition in HTML 4.0. Definition at line 526 of file html_table.cpp.

void HTMLTableElement::setFrame | ( | const DOMString & |  | ) |

| see frame Definition at line 532 of file html_table.cpp.

DOMString HTMLTableElement::rules | ( |  | ) | const

| Specifies which internal table borders to render. See the rules attribute definition in HTML 4.0. Definition at line 537 of file html_table.cpp.

void HTMLTableElement::setRules | ( | const DOMString & |  | ) |

| see rules Definition at line 543 of file html_table.cpp.

DOMString HTMLTableElement::summary | ( |  | ) | const

| Supplementary description about the purpose or structure of a table. See the summary attribute definition in HTML 4.0. Definition at line 548 of file html_table.cpp.

void HTMLTableElement::setSummary | ( | const DOMString & |  | ) |

| see summary Definition at line 554 of file html_table.cpp.

DOMString HTMLTableElement::width | ( |  | ) | const

| Specifies the desired table width. See the width attribute definition in HTML 4.0. Definition at line 559 of file html_table.cpp.

void HTMLTableElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 565 of file html_table.cpp.

HTMLElement HTMLTableElement::createTHead | ( |  | ) |

Create a table header row or return an existing one.

Returns:
  A new table header element ( `THEAD` ).

Definition at line 570 of file html_table.cpp.

void HTMLTableElement::deleteTHead | ( |  | ) |

Delete the header from the table, if one exists.

Returns:

Definition at line 576 of file html_table.cpp.

HTMLElement HTMLTableElement::createTFoot | ( |  | ) |

Create a table footer row or return an existing one.

Returns:
  A footer element ( `TFOOT` ).

Definition at line 582 of file html_table.cpp.

void HTMLTableElement::deleteTFoot | ( |  | ) |

Delete the footer from the table, if one exists.

Returns:

Definition at line 588 of file html_table.cpp.

HTMLElement HTMLTableElement::createCaption | ( |  | ) |

Create a new table caption object or return an existing one.

Returns:
  A `CAPTION` element.

Definition at line 594 of file html_table.cpp.

void HTMLTableElement::deleteCaption | ( |  | ) |

Delete the table caption, if one exists.

Returns:

Definition at line 600 of file html_table.cpp.

HTMLElement HTMLTableElement::insertRow | ( | long | index | ) |

Insert a new empty row in the table.

The new row is inserted immediately before and in the same section as the current indexth row in the table. If index is -1 or equal to the number of rows, the new row is appended. In addition, when the table is empty the row is inserted into a TBODY which is created and inserted into the table. Note. A table row cannot be empty according to HTML 4.0 Recommendation.

Parameters:

  | index | The row number where to insert a new row. The index starts from 0 and is relative to the logical order (not document order) of all the rows contained inside the table.

Returns:
  The newly created row.

Definition at line 606 of file html_table.cpp.

void HTMLTableElement::deleteRow | ( | long | index | ) |

Delete a table row.

Parameters:

  | index | The index of the row to be deleted. This index starts from 0 and is relative to the logical order (not document order) of all the rows contained inside the table. If the index is -1 the last row in the table is deleted.

Returns:

Definition at line 616 of file html_table.cpp.

The documentation for this class was generated from the following files:

- html_table.h
- html_table.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:31 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003